Page MenuHomePhabricator

Correct some Arcanist behaviors under PHP8.1
ClosedPublic

Authored by epriestley on Dec 9 2021, 8:46 PM.
Tags
None
Referenced Files
F13316611: D21740.diff
Thu, Jun 13, 7:55 AM
F13287877: D21740.diff
Tue, Jun 4, 9:27 AM
F13275641: D21740.diff
Fri, May 31, 5:01 AM
F13270157: D21740.diff
Wed, May 29, 9:09 AM
F13196069: D21740.diff
May 12 2024, 10:54 PM
Unknown Object (File)
May 3 2024, 2:38 AM
Unknown Object (File)
May 2 2024, 1:54 PM
Unknown Object (File)
May 2 2024, 10:38 AM
Subscribers
None

Details

Summary

Ref T13588. See that task for discussion.

Improve behavior under PHP8.1, particularly the deprecation warning raised by calling strlen(null).

Test Plan
  • Ran arc help, arc branches, arc diff, etc., under PHP 8.1 and PHP 7.4.
  • Created this change with PHP8.1.

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Dec 9 2021, 9:44 PM
This revision was automatically updated to reflect the committed changes.